<?php

namespace Drupal\scribit_pro\Controller;

/**
 * @file
 * Contains \Drupal\scribit_pro\Controller\Callback.
 */

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Messenger\MessengerTrait;
use Symfony\Component\HttpFoundation\RedirectResponse;
use Symfony\Component\HttpFoundation\Request;
use Drupal\Core\Url;
use Drupal\Core\Render\RenderContext;

/**
 * Handles the "callback" route.
 */
class Callback extends ControllerBase {

  use MessengerTrait;

  /**
   * Scribit.pro is calls this callback after the video is processed.
   *
   * @param \Symfony\Component\HttpFoundation\Request $request
   *   The request.
   *
   * @return \Symfony\Component\HttpFoundation\Response
   *   The response.
   *
   * @throws \Drupal\Component\Plugin\Exception\InvalidPluginDefinitionException
   * @throws \Drupal\Component\Plugin\Exception\PluginNotFoundException
   */
  public static function execute(Request $request) {
    $context = new RenderContext();
    $response = \Drupal::service('renderer')->executeInRenderContext($context, function () use ($request) {
      // TODO: handle the callback.
      $response = new RedirectResponse(Url::fromRoute('<front>')->toString());
      return $response;
    });
    // If there is metadata left on the context, apply it on the response.
    if (!$context->isEmpty()) {
      $metadata = $context->pop();
      $response->addCacheableDependency($metadata);
    }
    return $response;
  }

}
